variable legacy_private_dns { 
  description = "A map of legacy hostnames to lists of IPs. To disable, just remove an entry."
  type = map 
}

variable legacy_private_cname_dns { 
  description = "A map of legacy hostnames to lists of dns entries. To disable, just remove an entry."
  type = map 
}

variable legacy_public_dns { 
  description = "A map of legacy hostnames to lists of IPs. To disable, just remove an entry."
  type = map 
}

variable legacy_public_cname_dns { 
  description = "A map of legacy hostnames to lists of dns entries. To disable, just remove an entry."
  type = map 
}

# inherited variables
variable tags { type = map }
variable dns_info { type = map }
variable standard_tags { type = map }
variable aws_account_id { type = string }
variable aws_partition { type = string }
variable account_list { type = list }
